<template>
  <div
    v-click-outside="() => open = false"
    class="ob-func-panel__control"
  >
    <div
      class="ob-func-panel__control-row"
      :class="{'ob-func-panel__control-row_active': open}"
      @click="open = !open"
    >
      <i class="icon sort -gray-window" />
    </div>
    <transition name="fade">
      <div
        v-if="open"
        class="ob-func-panel__control-dropdown"
      >
        <div class="ob-func-panel__control-dropdown-item">
          <span>ФИО</span>
          <span>
            <radio-switcher
              value-right=" "
              value-left=" "
            />
          </span>
        </div>
        <div class="ob-func-panel__control-dropdown-item">
          <span>ФИО</span>
          <span>
            <radio-switcher
              value-right=" "
              value-left=" "
            />
          </span>
        </div>
        <div class="ob-func-panel__control-dropdown-item">
          <span>ФИО</span>
          <span>
            <radio-switcher
              value-right=" "
              value-left=" "
            />
          </span>
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
import ClickOutside from 'vue-click-outside'
import RadioSwitcher from '../obSwitcherRadio'

export default {
  components: {
    RadioSwitcher
  },
  directives: {
    ClickOutside
  },
  data () {
    return {
      open: false
    }
  }
}
</script>
